%define	ver	2013.10.23.2
Summary:	Video extraction utility for YouTube
Summary(pl.UTF-8):	Narzędzie do wydobywania filmów z YouTube
Name:		youtube-dl
Version:	%(echo %{ver} | tr -d .)
Release:	1
License:	Public Domain
Group:		Applications/System
Source0:	http://youtube-dl.org/downloads/%{ver}/%{name}-%{ver}.tar.gz
# Source0-md5:	72208a4aae88a51e1fba5d73cd5d7652
URL:		http://youtube-dl.org/
BuildRequires:	python-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		bash_compdir	%{_datadir}/bash-completion/completions

%description
youtube-dl is a small command-line program to download videos from
YouTube.com.

%description -l pl.UTF-8
youtube-dl jest programem do ściągania plików video z YouTube.com.

%package -n bash-completion-%{name}
Summary:	Bash completion for youtube-dl command
Summary(pl.UTF-8):	Bashowe dopełnianie parametrów polecenia youtube-dl
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-%{name}
Bash completion for youtube-dl command.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe dopełnianie parametrów polecenia youtube-dl.

%prep
%setup -qc
mv %{name} .tmp; mv .tmp/* .

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

install -d $RPM_BUILD_ROOT%{bash_compdir}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/etc/bash_completion.d/youtube-dl.bash-completion \
	$RPM_BUILD_ROOT%{bash_compdir}/%{name}
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/youtube_dl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README.md LICENSE
%attr(755,root,root) %{_bindir}/youtube-dl
%{_mandir}/man1/youtube-dl.1*
%{py_sitescriptdir}/youtube_dl
%{py_sitescriptdir}/youtube_dl-%{ver}-py*.egg-info

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/%{name}
%changelog
* Sun Oct 27 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/youtube-dl.git;a=log;h=master

* Sun Oct 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5aaa544
- up to 2013.10.23.2

* Mon Sep 16 2013 Tomasz Pala <gotar@pld-linux.org> c91a525
- upgraded to 2013.09.16

* Tue Aug 27 2013 Karol Krenski <charles@pld-linux.org> adfe7cc
- up to 2013.08.27

* Tue Aug 27 2013 Karol Krenski <charles@pld-linux.org> 6715cee
- BR: python-distribute

* Sun Jun 16 2013 Elan Ruusamäe <glen@delfi.ee> b9296b0
- use bash-completion 2.0 autoloading on demand

* Sat Jun 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 97454f0
- package bash completion

* Sat Jun 15 2013 Elan Ruusamäe <glen@delfi.ee> 58a481c
- up to 2013.05.23

* Sun Apr 21 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b3b31d
- up to 20130421

* Tue Apr 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f1b4a7
- rel 2; proper url

* Mon Apr 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 48cee41
- add version validation and update to 20130329 (which fails that validation unfortunately; upstream mistake)

* Mon Apr 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 19685e4
- up to 20130329

* Sun Feb 10 2013 Łukasz Kieś <kiesiu@pld-linux.org> f8173f5
- updated to 20130202

* Sat Oct 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 197c176
- up to 20121009

* Sun Sep 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 9d7bd1e
- gpm-friendly Source0 URL

* Sun Sep 30 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ef759c
- up to 20120927

* Thu Apr 05 2012 Łukasz Kieś <kiesiu@pld-linux.org> ae11d3c
- updated to 20120227
- license is Public Domain

* Sat Nov 05 2011 lmasko <lmasko@pld-linux.org> eee8aa5
- Up to 2011.10.19.

* Fri Sep 30 2011 Krzysztof Krakowiak <evil@pld-linux.org> 39eef34
- changed URL/Source0 from bitbucket.org to github.com
- up to 2011.09.30

* Tue Sep 14 2010 blekot <blekot@pld-linux.org> 0c5dcc0
- up to 2010.08.04

* Sun Jan 03 2010 Adam Gołębiowski <adamg@pld-linux.org> 0bb9c33
- updated to 20091226

